ISLESSGREATER(3)

NAME
islessgreater, isgreater, isgreaterequal, isless, islessequal, isunordered - order floating point numbers

SYNOPSIS
#include <math.h>
int isgreater(double x, double y);
int isgreaterequal(double x, double y);
int isless(double x, double y);
int islessequal(double x, double y);
int islessgreater(double x, double y);
int isunordered(double x, double y);

DESCRIPTION
These functions compare the specified floating point numbers x and y. They differ from the regular comparison operators in that they recognize and additional 'unordered' relationship between the numbers if one of them is NaN. As a consequence, these functions do not raise floating point expceptions and can be safely used with NaN values.

RETURN VALUE
The functions return a non-zero value if and only if the relationship specified in the name holds between x and y. All functions except for